Business Adnetworkanalytics
Updated: Oct 23, 2024
Copy for LLM
Ads in WhatsApp Status are available via the Marketing API. Learn more about ads in WhatsApp Status.
Reading
Audience Network Insights for this publisher entity
Example
GET /v25.0/{business-id}/adnetworkanalytics HTTP/1.1
Host: graph.facebook.com
Try it in Graph API Explorer
If you want to learn how to use the Graph API, read our Using Graph API guide
Parameters
| Parameter | Description |
|---|---|
aggregation_periodenum {DAY, TOTAL} | Default value: "DAY"
The interval to aggregate by
|
breakdownsarray<enum {AGE, APP, COUNTRY, DELIVERY_METHOD, DISPLAY_FORMAT, DEAL, DEAL_AD, DEAL_PAGE, GENDER, PLACEMENT, PLACEMENT_NAME, AD_SPACE, PLATFORM, PROPERTY, CLICKED_VIEW_TAG, FAIL_REASON, SDK_VERSION, INSTANT_ARTICLE_PAGE_ID, INSTANT_ARTICLE_ID, AD_SERVER_CAMPAIGN_ID, IS_DEAL_BACKFILL}> | Default value: []
Optional breakdowns for results
|
filtersarray<JSON object> | Default value: []
Additional filters for the query
field enum {AGE, APP, COUNTRY, DELIVERY_METHOD, DISPLAY_FORMAT, DEAL, DEAL_AD, DEAL_PAGE, GENDER, PLACEMENT, PLACEMENT_NAME, AD_SPACE, PLATFORM, PROPERTY, CLICKED_VIEW_TAG, FAIL_REASON, SDK_VERSION, INSTANT_ARTICLE_PAGE_ID, INSTANT_ARTICLE_ID, AD_SERVER_CAMPAIGN_ID, IS_DEAL_BACKFILL}
field
required operator enum {IN, NOT_IN}
operator
required values array<string>
values
required Show child parameters |
limitint64 | Default value: 2000
Limit the number of rows returned
|
metricsarray<enum {FB_AD_NETWORK_BIDDING_REQUEST, FB_AD_NETWORK_BIDDING_RESPONSE, FB_AD_NETWORK_BIDDING_BID_RATE, FB_AD_NETWORK_BIDDING_WIN_RATE, FB_AD_NETWORK_REQUEST, FB_AD_NETWORK_FILLED_REQUEST, FB_AD_NETWORK_FILL_RATE, FB_AD_NETWORK_IMP, FB_AD_NETWORK_IMPRESSION_RATE, FB_AD_NETWORK_CLICK, FB_AD_NETWORK_CTR, FB_AD_NETWORK_BIDDING_REVENUE, FB_AD_NETWORK_REVENUE, FB_AD_NETWORK_CPM, FB_AD_NETWORK_VIDEO_GUARANTEE_REVENUE, FB_AD_NETWORK_VIDEO_VIEW, FB_AD_NETWORK_VIDEO_VIEW_RATE, FB_AD_NETWORK_VIDEO_MRC, FB_AD_NETWORK_VIDEO_MRC_RATE, FB_AD_NETWORK_SHOW_RATE}> |
List of metrics to query for
required |
ordering_columnenum {TIME, VALUE, METRIC} | Default value: "TIME"
Order results by value (result of the aggregation) or by time.
|
ordering_typeenum {ASCENDING, DESCENDING} | Default value: "DESCENDING"
Ascending or descending
|
should_include_untilboolean |
should_include_until
|
sincedatetime/timestamp |
A unix timestamp or strtotime data value that indicates the start of the data range
|
untildatetime/timestamp |
A unix timestamp or strtotime data value that indicates the end of the data range
|
Fields
Reading from this edge will return a JSON formatted result:
{
"data": [],
"paging": {}
}
data
A list of AdNetworkAnalyticsSyncQueryResult nodes.
paging
For more details about pagination, see the Graph API guide.
Error Codes
| Error Code | Description |
|---|---|
100 | Invalid parameter |
3000 | Reading insights of a Page, business, app, domain or event source group not owned by the querying user or application |
104 | Incorrect signature |
368 | The action attempted has been deemed abusive or is otherwise disallowed |
613 | Calls to this api have exceeded the rate limit. |
190 | Invalid OAuth 2.0 Access Token |
Creating
/{business_id}/adnetworkanalytics
You can make a POST request to adnetworkanalytics edge from the following paths:
When posting to this edge, an AnalyticsQueryResult will be created.
Parameters
| Parameter | Description |
|---|---|
aggregation_periodenum {DAY, TOTAL} | Default value: DAY
The interval to aggregate by
|
breakdownslist<enum {AGE, APP, COUNTRY, DELIVERY_METHOD, DISPLAY_FORMAT, DEAL, DEAL_AD, DEAL_PAGE, GENDER, PLACEMENT, PLACEMENT_NAME, AD_SPACE, PLATFORM, PROPERTY, CLICKED_VIEW_TAG, FAIL_REASON, SDK_VERSION, INSTANT_ARTICLE_PAGE_ID, INSTANT_ARTICLE_ID, AD_SERVER_CAMPAIGN_ID, IS_DEAL_BACKFILL}> | Default value: Vec
Optional breakdowns for results
|
filterslist<Object> | Default value: Vec
Additional filters for the query
field enum {AGE, APP, COUNTRY, DELIVERY_METHOD, DISPLAY_FORMAT, DEAL, DEAL_AD, DEAL_PAGE, GENDER, PLACEMENT, PLACEMENT_NAME, AD_SPACE, PLATFORM, PROPERTY, CLICKED_VIEW_TAG, FAIL_REASON, SDK_VERSION, INSTANT_ARTICLE_PAGE_ID, INSTANT_ARTICLE_ID, AD_SERVER_CAMPAIGN_ID, IS_DEAL_BACKFILL}
Field on which filter is applied. Currently, only valid breakdowns are supported in filters. eg. Country, OS, etc.
required operator enum {IN, NOT_IN}
The intended operation between field and values. eg. IN, etc.
required values list<string>Default value: Vec
Values of corresponding field which must be filtered in result subject to the operator. The results join the different field valuesdisjunctively. eg. For Filters = {"Country", "IN", ["US", UK]} translates to {"Country", "IN", "US"} OR {"Country", "IN", "UK"}
Show child parameters |
limitinteger | Default value: 20000
Limit the number of rows returned
|
metricslist<enum {FB_AD_NETWORK_BIDDING_REQUEST, FB_AD_NETWORK_BIDDING_RESPONSE, FB_AD_NETWORK_BIDDING_BID_RATE, FB_AD_NETWORK_BIDDING_WIN_RATE, FB_AD_NETWORK_REQUEST, FB_AD_NETWORK_FILLED_REQUEST, FB_AD_NETWORK_FILL_RATE, FB_AD_NETWORK_IMP, FB_AD_NETWORK_IMPRESSION_RATE, FB_AD_NETWORK_CLICK, FB_AD_NETWORK_CTR, FB_AD_NETWORK_BIDDING_REVENUE, FB_AD_NETWORK_REVENUE, FB_AD_NETWORK_CPM, FB_AD_NETWORK_VIDEO_GUARANTEE_REVENUE, FB_AD_NETWORK_VIDEO_VIEW, FB_AD_NETWORK_VIDEO_VIEW_RATE, FB_AD_NETWORK_VIDEO_MRC, FB_AD_NETWORK_VIDEO_MRC_RATE, FB_AD_NETWORK_SHOW_RATE}> |
Metrics to return
required |
ordering_columnenum {TIME, VALUE, METRIC} | Default value: TIME
Order results by value (result of the aggregation) or by time.
|
ordering_typeenum {ASCENDING, DESCENDING} | Default value: DESCENDING
Ascending or descending
|
sincedatetime/timestamp |
A unix timestamp or strtotime data value that indicates the start of the data range
|
untildatetime/timestamp |
A unix timestamp or strtotime data value that indicates the end of the data range
|
Return Type
This endpoint supports read-after-write and will read the node to which you POSTed.
Struct {
query_id: string,
async_result_link: string,
}
Error Codes
| Error Code | Description |
|---|---|
3000 | Reading insights of a Page, business, app, domain or event source group not owned by the querying user or application |
100 | Invalid parameter |
Updating
You can't perform this operation on this endpoint.
Deleting
You can't perform this operation on this endpoint.